# Cancel Crawl

`DELETE /crawl/{id}`

> Note: A new [v2 version of this API](/api-reference/endpoint/crawl-delete) is now available with improved features and performance.

## OpenAPI

````yaml api-reference/v1-openapi.json delete /crawl/{id}
openapi: 3.0.0
info:
  title: Firecrawl API
  version: v1
  description: API for interacting with Firecrawl services to perform web scraping
    and crawling tasks.
  contact:
    name: Firecrawl Support
    url: https://firecrawl.dev/support
    email: support@firecrawl.dev
servers:
  - url: https://api.firecrawl.dev/v1
security:
  - bearerAuth: []
paths:
  /crawl/{id}:
    delete:
      summary: Cancel a crawl job
      operationId: cancelCrawl
      tags:
        - Crawling
      security:
        - bearerAuth: []
      responses:
        "200":
          description: Successful cancellation
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - cancelled
                    example: cancelled
        "404":
          description: Crawl job not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Crawl job not found.
        "500":
          description: Server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: An unexpected error occurred on the server.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
